package uap.pub.bap.fs.domain.ext;


/**
 * @author jinfeng
 */
public class FileStorageExtPackage implements IFileStorageExt {
    /**
	 * 
	 */
    private static final long serialVersionUID = 1L;
    private String extClassNmae; // չԾ
    private String tableName; // չԱ
    private String primaryKey = "fld_id"; // չ
    private String[] columnsName; // չԸֶ
    private String[] columnsType; // չԸֶ
    private Object[] columnsValue; // չVO

    /**
     * @param extļչԶ
     * @return չϢװFileStorageExtPackage
     */
    public FileStorageExtPackage(IFileStorageExt ext) {
        FileStorageMappingMeta meta = new FileStorageMappingMeta(ext);
        this.extClassNmae = ext.getClass().getName();
        this.tableName = meta.getTableName();
        this.primaryKey = meta.getPrimaryKey();
        this.columnsName = meta.getColumns();
        this.columnsType = meta.getColumnTypes();
        // иֶεֵmeta.getAttributes()صǲǰ׺ֶ
        this.columnsValue = (new FileStorageMappingVO().getExtColumnValue(ext, meta.getAttributes()));
    }

    public FileStorageExtPackage(String extClassNmae) {
        this.extClassNmae = extClassNmae;
    }

    public FileStorageExtPackage() {

    }

    public String getExtClassNmae() {
        return extClassNmae;
    }

    public void setExtClassNmae(String extClassNmae) {
        this.extClassNmae = extClassNmae;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getPrimaryKey() {
        return primaryKey;
    }

    public String[] getColumnsName() {
        return columnsName;
    }

    public void setColumnsName(String[] columnsName) {
        this.columnsName = columnsName;
    }

    public String[] getColumnsType() {
        return columnsType;
    }

    public void setColumnsType(String[] columnsType) {
        this.columnsType = columnsType;
    }

    public Object[] getColumnsValue() {
        return columnsValue;
    }

    public void setColumnsValue(Object[] columnsValue) {
        this.columnsValue = columnsValue;
    }
}
